package com.tencent.mm.plugin.game.ui;

import com.tencent.matrix.trace.core.AppMethodBeat;

public class r$c {
    public int actionType;
    String appId;
    int cKG;
    String nmA;
    int nmu;
    int nmv;
    String nmz;
    int position;
    int type;

    public r$c(String str) {
        this.actionType = 2;
        this.nmz = str;
    }

    public r$c(String str, byte b) {
        this.actionType = 2;
        this.type = 3;
        this.nmz = str;
    }

    public r$c(int i, int i2, String str, String str2) {
        AppMethodBeat.i(112174);
        this.actionType = i;
        this.type = i2;
        this.appId = str;
        if (i == 2) {
            this.nmz = str2;
        }
        AppMethodBeat.o(112174);
    }
}
